Bug 9332 - Display call number in "Holds waiting" notice (checkout page)
Summary: Display call number in "Holds waiting" notice (checkout page)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 14:03 UTC by Adrien SAURAT
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.81 KB, patch)
2012-12-31 14:08 UTC, Adrien SAURAT
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9332: Display call number in "Holds waiting" notice (2.94 KB, patch)
2012-12-31 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9332: Display call number in "Holds waiting" notice (2.97 KB, patch)
2013-02-08 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2012-12-31 14:03:37 UTC
[MT10350]

When checking out from a patron page, a notice "Holds waiting" will appear if a biblio (on hold) is waiting for this borrower.
Example:
ONCOLOGIE ET HEMATOLOGIE : LES CAS CONCRETS DU D.E. : CAS CONCRETS OFFICIELS CORRIGES (Livre), by CREUX F Hold placed on 31/12/2012. 

It would be useful to mention the callnumber in this warning.
Example:
ONCOLOGIE ET HEMATOLOGIE : LES CAS CONCRETS DU D.E. : CAS CONCRETS OFFICIELS CORRIGES (Livre), by CREUX F [616.994 CRE] Hold placed on 31/12/2012.
Comment 1 Adrien SAURAT 2012-12-31 14:08:23 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-12-31 15:02:09 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-08 13:53:06 UTC
QA comment:

On the checkout page, the holds waiting list display the callnumber for each item (if exists).

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-08 13:53:31 UTC
Created attachment 15163 [details] [review]
Bug 9332: Display call number in "Holds waiting" notice

When checking out from a patron page, a notice "Holds waiting" appears
if a biblio (on hold) is waiting for this borrower.
This patch adds the call number information to this warning.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Nice little improvement, thanks.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-08 14:24:08 UTC
This patch has been pushed to master.